Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 235856 - Recent change in syslog format broke logwatch
Summary: Recent change in syslog format broke logwatch
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: sysklogd
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Peter Vrabec
QA Contact: Brian Brock
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-04-10 15:12 UTC by Jost Diederichs
Modified: 2007-11-30 22:12 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-04-11 15:57:39 UTC


Attachments (Terms of Use)

Description Jost Diederichs 2007-04-10 15:12:33 UTC
Description of problem:
Where there used to be one space after the hostname in the syslog files there
are now two spaces. This brakes various logwatch scripts. Some helper scripts
like 'onlyservice', 'multiservice', 'removeheaders', and 'removeservice', as
well as some service scripts like 'postfix'. 

Version-Release number of selected component (if applicable):
sysklogd-1.4.2-3.fc7

Generally, replacing the regexp "^... .. ..:..:.. [^ ]* $ServiceName" with "^...
.. ..:..:..[ ]*[^ ]* $ServiceName" will fix the problem.

The double space in sysklogd could of course be a mistake and one should fix
that instead?

Comment 1 Peter Vrabec 2007-04-11 15:57:39 UTC
fixed in sysklogd-1.4.2-4.fc7



Note You need to log in before you can comment on or make changes to this bug.